Bug 43561 - SCSI bus resets/Periodic system hangs/slowness with aic7xxx module
SCSI bus resets/Periodic system hangs/slowness with aic7xxx module
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-05 11:29 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-05 11:34:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-06-05 11:29:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.73 [en] (Win95; U)

Description of problem:
Software:
RedHat 7.1 clean install


Attempting to install 7.1 on departmental server.  Several attempts failed when the
aic7xxx driver was loaded.  I observed system lockups as well as the scrolling
scsi bus reset errors.  (I did pass the noprobe option at the boot prompt.)

Now that 7.1 is installed, I am still observing problems.  The machine is
incredibly slow and often just hangs for 10-15 seconds.  No messages are
reported in any of the log files. Sometimes during the 'hang',  the disk drive
will be lit (steady).  Once the light goes off, the system starts to respond.

A similar behavior has been noticed with the aic7xxx_mod module.
Difference is that log entries are generated.  
(scsi0: Someone reset channel A
 scsi0:0:0:0  Attempting to queue an ABORT messaged
 scsi0:0:0:0 Cmd aborted from QINFIFO
 aic7xxx_abort returns 8194
 scsi0:0:0:0 Attempting to queue a TARGET RESET message
 scsi0:0:0:0 Command not found
 aic7xxx_dev_reset returns 8194)

This repeats almost continuously......


The machine worked flawlessly under 6.2.

How reproducible:
Always

Steps to Reproduce:
1.Run 7.1 on hardware described below
2.
3.
	

Additional info:

Hardware:
SuperMicro S2QE6 motherboard with 4 Gigs memory, 1 550MHz Xeon CPU (2MB cache)
Motherboard has onboard AIC-7899 Ultra 160/m SCSI Controller
1 ATLAS_V_18_SCA disk drive connected to SCSI interface
1 CDROM connected to IDE interface
Comment 1 Doug Ledford 2001-08-23 20:10:09 EDT
>>>>  Someone reset channel A

This log message is an almost guaranteed indication that you have either
cabling, termination, or power problems.  The driver is detecting that someone
else has reset the SCSI bus.  This happens when the voltage on the SCSI_RESET
pin drops too low.  Bad termination, bad termination power, bad cabling, a disk
drive that is going bad, or bad power supply can cause this.  I would check your
hardware very carefully.  In the meantime, I'm closing this as NOTABUG.  Reopen
the report if I'm wrong about it being hardware.

Note You need to log in before you can comment on or make changes to this bug.